#!/bin/bash
# Shell script to plot device specific single MAC CSV-file(s) via gnuplot in interavctive mode to screen
# Hint: gnuplot will be in interactive mode, adjust image section to needs, plot via menu.
#       1.) enable signals and adjust name of file(s) and location in file "sdmn2.plt" to needs 
echo
echo "Plot SDMN single MAC CSV-file(s) to screen"
echo "------------------------------------------"
echo "Please wait..."
# create temporary batch file without lines starting with "#"
grep -v "#" sdmn2.plt > EnabledOnly.plt
# plot to screen via batch file in interactive mode
gnuplot EnabledOnly.plt -
# remove temporary file
rm EnabledOnly.plt
echo

