#!/bin/bash
# Shell script splitting large CSV file into multiple files containing max. 43200 lines of data.
# Hint: input file MUST NOT include header
echo
echo "Split CSV file"
echo "--------------"
if [ $# -eq 0 ]
	then
		echo "ERROR: input file not specified"
		echo "Example: ./csvSplitHn43200.sh FF0000000009.csv"
		echo "Script terminated."
		echo
		exit 1
fi
if [ -e $1 ]
	then
   		echo "Input file:" $1
else
    echo "ERROR: specified input file '$1' does not exist"
	echo "Script terminated."
	echo
	exit 1
fi
echo "Please wait..."
split -d -l 43200 $1 $1Hn
echo "Split CSV file..."
echo "Done - Bye Bye."
echo

